### Hierarchy

- DisputesClient

## Index

### Constructors

- constructor

### Properties

- client_
- credentials_
- hostname_
- methodDescriptorGetDispute
- methodDescriptorGetDisputes
- methodDescriptorOpenDispute
- methodDescriptorResolveDispute
- methodDescriptorSendDisputeChatMessage
- options_

### Methods

- getDispute
- getDisputes
- openDispute
- resolveDispute
- sendDisputeChatMessage

## Constructors

### constructor

- new DisputesClient(hostname: string, credentials?: null | {}, options?: null | {}): DisputesClient

- - Defined in src/protobuf/GrpcServiceClientPb.ts:583

  #### Parameters

  - ##### hostname: string

  - ##### Optional credentials: null | {}

  - ##### Optional options: null | {}

  #### Returns DisputesClient

## Properties

### client_

client_: AbstractClientBase

- Defined in src/protobuf/GrpcServiceClientPb.ts:578

### credentials_

credentials_: null | {}

- Defined in src/protobuf/GrpcServiceClientPb.ts:580

### hostname_

hostname_: string

- Defined in src/protobuf/GrpcServiceClientPb.ts:579

### methodDescriptorGetDispute

methodDescriptorGetDispute: MethodDescriptor < GetDisputeRequest , GetDisputeReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:596

### methodDescriptorGetDisputes

methodDescriptorGetDisputes: MethodDescriptor < GetDisputesRequest , GetDisputesReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:639

### methodDescriptorOpenDispute

methodDescriptorOpenDispute: MethodDescriptor < OpenDisputeRequest , OpenDisputeReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:682

### methodDescriptorResolveDispute

methodDescriptorResolveDispute: MethodDescriptor < ResolveDisputeRequest , ResolveDisputeReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:725

### methodDescriptorSendDisputeChatMessage

methodDescriptorSendDisputeChatMessage: MethodDescriptor < SendDisputeChatMessageRequest , SendDisputeChatMessageReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:768

### options_

options_: null | {}

- Defined in src/protobuf/GrpcServiceClientPb.ts:581

## Methods

### getDispute

- getDispute(request: GetDisputeRequest, metadata: null | Metadata ): Promise< GetDisputeReply >
- getDispute(request: GetDisputeRequest, metadata: null | Metadata, callback: (err: RpcError, response: GetDisputeReply ) => void): ClientReadableStream < GetDisputeReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:607

  #### Parameters

  - ##### request: GetDisputeRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< GetDisputeReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:611

  #### Parameters

  - ##### request: GetDisputeRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: GetDisputeReply ) => void

    - - (err: RpcError, response: GetDisputeReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetDisputeReply

        #### Returns void

  #### Returns ClientReadableStream < GetDisputeReply >

### getDisputes

- getDisputes(request: GetDisputesRequest, metadata: null | Metadata ): Promise< GetDisputesReply >
- getDisputes(request: GetDisputesRequest, metadata: null | Metadata, callback: (err: RpcError, response: GetDisputesReply ) => void): ClientReadableStream < GetDisputesReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:650

  #### Parameters

  - ##### request: GetDisputesRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< GetDisputesReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:654

  #### Parameters

  - ##### request: GetDisputesRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: GetDisputesReply ) => void

    - - (err: RpcError, response: GetDisputesReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetDisputesReply

        #### Returns void

  #### Returns ClientReadableStream < GetDisputesReply >

### openDispute

- openDispute(request: OpenDisputeRequest, metadata: null | Metadata ): Promise< OpenDisputeReply >
- openDispute(request: OpenDisputeRequest, metadata: null | Metadata, callback: (err: RpcError, response: OpenDisputeReply ) => void): ClientReadableStream < OpenDisputeReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:693

  #### Parameters

  - ##### request: OpenDisputeRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< OpenDisputeReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:697

  #### Parameters

  - ##### request: OpenDisputeRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: OpenDisputeReply ) => void

    - - (err: RpcError, response: OpenDisputeReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: OpenDisputeReply

        #### Returns void

  #### Returns ClientReadableStream < OpenDisputeReply >

### resolveDispute

- resolveDispute(request: ResolveDisputeRequest, metadata: null | Metadata ): Promise< ResolveDisputeReply >
- resolveDispute(request: ResolveDisputeRequest, metadata: null | Metadata, callback: (err: RpcError, response: ResolveDisputeReply ) => void): ClientReadableStream < ResolveDisputeReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:736

  #### Parameters

  - ##### request: ResolveDisputeRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< ResolveDisputeReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:740

  #### Parameters

  - ##### request: ResolveDisputeRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: ResolveDisputeReply ) => void

    - - (err: RpcError, response: ResolveDisputeReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: ResolveDisputeReply

        #### Returns void

  #### Returns ClientReadableStream < ResolveDisputeReply >

### sendDisputeChatMessage

- sendDisputeChatMessage(request: SendDisputeChatMessageRequest, metadata: null | Metadata ): Promise< SendDisputeChatMessageReply >
- sendDisputeChatMessage(request: SendDisputeChatMessageRequest, metadata: null | Metadata, callback: (err: RpcError, response: SendDisputeChatMessageReply ) => void): ClientReadableStream < SendDisputeChatMessageReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:779

  #### Parameters

  - ##### request: SendDisputeChatMessageRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< SendDisputeChatMessageReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:783

  #### Parameters

  - ##### request: SendDisputeChatMessageRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: SendDisputeChatMessageReply ) => void

    - - (err: RpcError, response: SendDisputeChatMessageReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: SendDisputeChatMessageReply

        #### Returns void

  #### Returns ClientReadableStream < SendDisputeChatMessageReply >

Generated using TypeDoc